commit: 0537a06d6fe9af70afa4c4f0b35d630cc9a3d384
Author: Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Fri Sep 18 20:49:51 2015 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 14:06:23 2015 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=0537a06d
kde-apps/umbrello: Disable install of inexistent file
Package-Manager: portage-2.2.20.1
kde-apps/umbrello/umbrello-15.08.1.ebuild | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/kde-apps/umbrello/umbrello-15.08.1.ebuild
b/kde-apps/umbrello/umbrello-15.08.1.ebuild
index 963660c..3e06e1a 100644
--- a/kde-apps/umbrello/umbrello-15.08.1.ebuild
+++ b/kde-apps/umbrello/umbrello-15.08.1.ebuild
@@ -45,6 +45,13 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
+src_prepare() {
+ # File doesn't exist in <15.08.2
+ sed -e "/install.*appdata\.xml/ s/^/#/" \
+ -i umbrello/CMakeLists.txt || die
+ kde5_src_prepare
+}
+
src_configure() {
local mycmakeargs=(
-DBUILD_KF5=ON